## EXPORT_SPEC int UpnpCloseHttpPost

## ( IN void* handle,
IN OUT int* httpStatus,
IN int timeout )

> UpnpCloseHttpPost sends and receives any pending data, closes the connection with the server, and frees memory allocated during the UpnpOpenHttpPost call.

## Documentation

> UpnpCloseHttpPost sends and receives any pending data, closes the connection with the server, and frees memory allocated during the UpnpOpenHttpPost call.

Parameters:
  handle - The handle of the connection to close, created by the call to UpnpOpenHttpPost.
  httpStatus - A pointer to a buffer to store the final status of the connection.
  timeout - A time out value sent with the request during which a response is expected from the server, failing which, an error is reported.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: Either handle, or httpStatus is not a valid pointer.
  - `UPNP_E_SOCKET_READ`: An error or timeout occurred reading from a socket.
  - `UPNP_E_OUTOF_SOCKET`: Too many sockets are currently allocated.

Alphabetic index

This page was generated with the help of DOC++.